Logo

Private Enterprise Cloud Storage - Version 1.0.1


Introduction

  • Item Name : Crumble - Private Enterprise Cloud Storage
  • Item Version : v 1.0.1
  • Author : Honeyside
  • Support Forum : https://forum.honeyside.it
  • License : CodeCanyon Standard Licenses - You will need one Regular License for each installation of Crumble. If you are planning to create and distribute a product of your own so that it will include the Crumble original or modified source, you will need an Extended License.

First of all, Thank you so much for purchasing this item and for being our loyal customer. You are awesome!
With your purchase, you are entitled to get free lifetime updates to this product.

This documentation will show you all of Crumble's features. Please go through the documentation carefully to understand how to configure your Crumble private cloud storage system properly. No coding experience is required. In fact, you won't have to code at all! You will just have to run a script.

If you have questions or need support, please reach out using forum.honeyside.it, so that your questions will help future users with the same issue. If you don't want the trouble to go through the installation process yourself, contact us at support@honeyside.it in order to request paid installation service.

We will also answer to support requests via email for free (after requesting proof of purchase). However, we strongly recommend to use our forum, in order to help each other. Proof of purchase is not required for joining the forum or asking questions on the forum, because we value community above bureaucracy.

Requirements #back to top

Crumble can run on any OS or machine that supports Node.js v16. However, in order to provide a safe environment for the unexperienced user, we recommend using Ubuntu 20.04 LTS or 18.04 LTS. We provide fully automated installation (via installation script) and full installation instructions for Ubuntu 20.04 LTS and 18.04 LTS only.

For the unexperienced user, we recommend buying a cheap Ubuntu 20.04 LTS or 18.04 LTS VPS from OVH, then follow the Automated Installation section. Choose a server next to your physical location (if you are in Europe, France is ok). We are not affiliated with OVH and we do not gain commission from your VPS purchase. It just happens to work well at the time of writing.

Crumble will not run on a shared hosting. If you do not know the difference between shared hosting and private server, contact us at support@honeyside.it for paid installation service.

Automated Installation #back to top

Welcome to Crumble: Enterprise Private Cloud Storage! Whether experienced user or not, it is always a pleasure to run a fully automated installation. Please be aware that the automated installer will work only on Ubuntu 20.04 LTS and 18.04 LTS. We recommend installing Crumble on a clean server.

Installation - #back to top

Connect to your server via SSH as root user, upload the Crumble .zip archive and extract it in a location of your choice. cd into that location. Run ./launcher setup and follow instructions on screen.

At the end of the installation process, Crumble will be reachable on port 80.

You can stop Crumble with ./launcher stop. You can start Crumble again with ./launcher start. You can restart Crumble with ./launcher restart.

To upgrade to a newer version, overwrite the folder contents and run ./launcher rebuild.

To elevate your shell to root, use sudo su.

If you get error Command 'node' not found run command source ~/.profile then retry.

Manual Installation #back to top

You must have experience in server management to deploy the app manually. Do not attempt this if you do not know what you are doing. Contact us at support@honeyside.it in order to request a paid custom installation service or go back to Automated Installation.


Requirements - #back to top

You will need the following software installed in order to properly run Crumble.

  1. MongoDB: check out MongoDB Community installation instructions.
  2. Build Essential: you will need a C++ compiler and possibly a Python compiler to install certain backend dependencies. In Ubuntu, this is handled using apt-get install build-essential.
  3. Node.js: you will need Node.js v16.8.0 or latest Node.js v16.
The following software is highly recommended:
  1. Yarn: for dependency management, in place of npm.
  2. pm2: for process management.

Installation - #back to top

  1. Extract archive contents.
  2. Install MongoDB on your system and ensure it is running.
  3. Install build essential package or equivalent for your system.
  4. Install Node.js v16. Using nvm (Node Version Manager) may help you manage your server later.
  5. cd into backend and yarn or npm install all dependencies.
  6. Copy backend/.env.example into backend/.env
  7. Edit backend/.env according to your needs.
  8. Run backend/index.js.
  9. cd into frontend and yarn or npm install all dependencies.
  10. Copy frontend/.env.example into frontend/.env
  11. Edit frontend/.env according to your needs.
  12. Don't forget to open port 80.

A thorough example of installation process is the launcher file. You may want to take a look at that file and edit according to your needs.

Managing Users #back to top

When logging in as admin user (the one specified in the automated installer or in the .env file), you'll see a "Users" tab. You can add new users, edit or delete existing users from here.

Admin Interface Screenshot
Admin Interface Screenshot

Support #back to top

Please remember you have purchased a very affordable piece of software and you have not paid for a full-time software development agency. Occasionally we will help with small tweaks, but these requests will be put on a lower priority due to their nature. Support is also 100% optional and we provide it for your connivence, so please be patient, polite and respectful.

Please use the Honeyside Forum for support requests. This way, your questions will be available for all Honeyside users to be read and answered. You will also receive an official answer (or confirmation) from us as soon as possible. If you still prefer to contact us directly, visit our profile page or ask your question via our @Support email. If you chose the Forum, a huge thank you from us in advance!

Support for our items includes:
  • * Responding to questions or problems regarding the item and its features
  • * Fixing bugs and reported issues
  • * Providing updates to ensure compatibility with new software versions
Item support does not include:
  • * Customization and installation services
  • * Support for third party software and plug-ins
Before seeking support, please...
  • * Make sure your question is a valid Crumble Issue and not a customization request.
  • * Make sure you have read through the documentation and any related video guides before asking support on how to accomplish a task.
  • * Make sure to take a look at the Honeyside Forum first.
  • * Make sure you are running Crumble in a proper Node.js environment. See the Requirements section above for more.
  • * If you have customized your Crumble installation and now have an issue, back-track to make sure you didn't make a mistake. If you have made changes and can't find the issue, please provide us with your changelog.
  • * Almost 80% of the time we find that the solution to people's issues can be solved with a simple "Google Search". You might want to try that before seeking support. You might be able to fix the issue yourself much quicker than we can respond to your request.
  • * Make sure to state the name of the item you are having issues with when requesting support via CodeCanyon.

Version History (Changelog) #back to top

Once again, thank you so much for purchasing Crumble!


Changelog


                                        -----------------------------------------------------------------------------------------
                                        1.0.1 - September 14th, 2021
                                        - fix stats by type

                                        1.0.0 - September 13th, 2021
                                        - first version
                                        -----------------------------------------------------------------------------------------

                                      

Copyright and license #back to top

Crumble is sold exclusively through CodeCanyon (Envato marketplace), where the CodeCanyon Standard Licenses apply.

You will need one Regular License for each installation of Crumble. If you are planning to sell products that will include the Crumble original or modified source, you will need an Extended License.

Copyright © Honeyside - All Rights Reserved

Unauthorized copying of the Crumble source and/or executable files, via any medium, is strictly prohibited.